### Hierarchy

- IGBDialog
  - AdminDialog

## Index

### Constructors

- constructor

### Properties

- bot
- service

### Methods

- deployPackageCommand
- rebuildIndexCommand
- setup
- undeployPackageCommand

## Constructors

### constructor

- new AdminDialog(bot: UniversalBot): AdminDialog

- Inherited from IGBDialog.__constructor

  - Defined in node_modules/botlib/dist/src/IGBDialog.d.ts:36

  #### Parameters

  - ##### bot: UniversalBot

  #### Returns AdminDialog

## Properties

### bot

bot: UniversalBot

Inherited from IGBDialog.bot

- Defined in node_modules/botlib/dist/src/IGBDialog.d.ts:35

### service

service: GBService

Inherited from IGBDialog.service

- Defined in node_modules/botlib/dist/src/IGBDialog.d.ts:36

## Methods

### Static deployPackageCommand

- deployPackageCommand(text: string, session: Session, deployer: GBDeployer, min: GBMinInstance, cb: any): void

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:144

  #### Parameters

  - ##### text: string

  - ##### session: Session

  - ##### deployer: GBDeployer

  - ##### min: GBMinInstance

  - ##### cb: any

  #### Returns void

### Static rebuildIndexCommand

- rebuildIndexCommand(min: GBMinInstance, session: Session, cb: any): void

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:162

  #### Parameters

  - ##### min: GBMinInstance

  - ##### session: Session

  - ##### cb: any

  #### Returns void

### Static setup

- setup(bot: UniversalBot, min: GBMinInstance): void

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:47

  #### Parameters

  - ##### bot: UniversalBot

  - ##### min: GBMinInstance

  #### Returns void

### Static undeployPackageCommand

- undeployPackageCommand(text: any, min: GBMinInstance, session: Session, cb: any): void

- - Defined in deploy/admin.gbapp/dialogs/AdminDialog.ts:129

  #### Parameters

  - ##### text: any

  - ##### min: GBMinInstance

  - ##### session: Session

  - ##### cb: any

  #### Returns void

Generated using TypeDoc